Configure Apps with Over 64K Methods with Multidex

build.gradle

android {
    defaultConfig {
        ...
        minSdkVersion 21 
        targetSdkVersion 25
        multiDexEnabled true
    }
    ...
}
dependencies {
  compile 'com.android.support:multidex:1.0.1'
}
public class MyApplication extends MultiDexApplication

References
https://developer.android.com/studio/build/multidex.html
https://stackoverflow.com/questions/37312103/unable-to-get-provider-com-google-firebase-provider-firebaseinitprovider